Bug 814966 - autocompletion: restart -> Failed to issue method call
autocompletion: restart -> Failed to issue method call
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 12:50 EDT by Harald Reindl
Modified: 2012-06-05 19:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 06:34:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2012-04-21 12:50:35 EDT
can someone take a look at this?
a little fu
can someone please take a look what is spitting this messages while doing autocompletion for "systemctl restart <TAB<"
__________________________________________

systemctl restart panFailed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
el.service
__________________________________________

[root@arrakis:~]$ systemctl status panel.service 
panel.service - Lounge-Panel
          Loaded: loaded (/etc/systemd/system/panel.service; enabled)
          Active: active (running) since Sat, 21 Apr 2012 18:47:42 +0200; 8s ag
__________________________________________

o[root@arrakis:~]$ systemctl restart Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit

Display all 194 possibilities? (y or n)
Comment 1 Michal Schmidt 2012-05-09 04:01:31 EDT
The shell language makes it so easy to write code that's almost but not entirely correct for passing strings around.

A couple of fixes:
http://cgit.freedesktop.org/systemd/systemd/commit/?id=f3b17661550da58231139e6aa37848172a385fd2

http://cgit.freedesktop.org/systemd/systemd/commit/?id=f6a68149479a0746fe753deba1bfbf26eb13566f
Comment 2 Fedora Update System 2012-05-18 19:38:56 EDT
systemd-44-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/systemd-44-9.fc17
Comment 3 Fedora Update System 2012-05-18 20:11:15 EDT
systemd-37-20.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/systemd-37-20.fc16
Comment 4 Harald Reindl 2012-05-18 20:28:13 EDT
not really fixed

[root@srv-rhsoft:~]$ systemctl restart Failed to issue method call: Unknown unit
Failed to issue method call: Unknown unit

systemd-37-21.fc16.x86_64
__________________________

May 19 02:22:48 srv-rhsoft systemd[1]: Reexecuting.
May 19 02:22:48 srv-rhsoft systemd[1]: systemd 37 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +SYSVINIT +LIBCRYPTSETUP; fedora)
May 19 02:22:49 srv-rhsoft yum[27007]: Updated: systemd-37-21.fc16.x86_64
May 19 02:22:49 srv-rhsoft yum[27007]: Updated: systemd-sysv-37-21.fc16.x86_64
May 19 02:22:49 srv-rhsoft systemd[1]: Reloading.
Comment 5 Fedora Update System 2012-05-19 14:34:09 EDT
Package systemd-44-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-44-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8127/systemd-44-9.fc17
then log in and leave karma (feedback).
Comment 6 Michal Schmidt 2012-05-21 04:59:40 EDT
It fixed one cause of the error message, but apparently there is one more.

The other cause is that the garbage collector can delete the unit while systemctl is doing the LoadUnit/GetUnit/GetAll sequence of DBus method calls. Will fix this.
Comment 8 Michal Schmidt 2012-05-21 07:46:38 EDT
The fix is included in:

https://admin.fedoraproject.org/updates/FEDORA-2012-8127
systemd-44-10.fc17

https://admin.fedoraproject.org/updates/FEDORA-2012-8164
systemd-37-22.fc16
Comment 9 Fedora Update System 2012-05-29 06:34:58 EDT
systemd-44-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-06-05 19:11:07 EDT
systemd-37-25.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.